=== debian/changelog ===
texlive-extra (2013.20140215-2) unstable; urgency=medium

  * fix missing replace for texlive-publisher (Closes: #739473)

 -- Norbert Preining <preining@debian.org>  Wed, 19 Feb 2014 11:52:49 +0900

texlive-extra (2013.20140215-1) unstable; urgency=medium

  * new upstream checkout
  * butcher flashmovie and media9 packages by removing some swf flash
    files without included source (although available) (Closes: #736802)
  * change {ttf,otf}-freefont to fonts-freefont-{ttf,otf} (Closes: #738251)
  * install (de)pythontex3 scripts (Closes: #737376)

 -- Norbert Preining <preining@debian.org>  Sat, 15 Feb 2014 11:25:34 +0900

texlive-extra (2013.20140123-1) unstable; urgency=medium

  * new upstream checkout
  * break against incompatible version of biber (Closes: #734416)

 -- Norbert Preining <preining@debian.org>  Thu, 23 Jan 2014 13:12:46 +0900

texlive-extra (2013.20131219-1) unstable; urgency=medium

  * new upstream checkout
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Thu, 19 Dec 2013 13:45:18 +0900

texlive-extra (2013.20131112-1) unstable; urgency=low

  * new upstream checkout
  * texlive-latex-extra suggests python-pygments (Closes: #728895)

 -- Norbert Preining <preining@debian.org>  Tue, 12 Nov 2013 15:49:02 +0900

texlive-extra (2013.20131010-1) unstable; urgency=low

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Thu, 10 Oct 2013 12:35:51 +0900

texlive-extra (2013.20130918-1) unstable; urgency=low

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Wed, 18 Sep 2013 12:41:16 +0900

texlive-extra (2013.20130905-1) unstable; urgency=low

  * new upstream checkout
    - fix siunitx typo (Closes: #719871)
  * add a latexdef -> texdef link (Closes: #719427)
  * texlive-pictures suggests texlive-latex-extra (Closes: #705951, #683567)
  * texlive-pcitures suggest libtcltk-ruby (Closes: #600375)
  * bump standards version to 3.9.4, no changes necessary
  * fonts-font-awesome instead of shipping the font

 -- Norbert Preining <preining@debian.org>  Thu, 05 Sep 2013 11:46:54 +0900
